org.eclipse.wst.jsdt.chromium.debug.ui.source

## Class SourceNameMapperContainerPresentation

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.source.SourceNameMapperContainerPresentation

    public class SourceNameMapperContainerPresentation
    extends java.lang.Object

A presentation for JavaScript Source Name Mapper container that supports adding and editing.

### Constructor Summary

Constructors
Constructor and Description
`SourceNameMapperContainerPresentation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISourceContainer[]` `addSourceContainers(Shell shell, ISourceLookupDirector director)`
`boolean` `canAddSourceContainers(ISourceLookupDirector director)`
`boolean` `canEditSourceContainers(ISourceLookupDirector director, ISourceContainer[] containers)`
`ISourceContainer[]` `editSourceContainers(Shell shell, ISourceLookupDirector director, ISourceContainer[] containers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceNameMapperContainerPresentation

    public SourceNameMapperContainerPresentation()

### Method Detail

#### addSourceContainers

    public ISourceContainer[] addSourceContainers(Shell shell,
                                                  ISourceLookupDirector director)

#### canAddSourceContainers

    public boolean canAddSourceContainers(ISourceLookupDirector director)

#### canEditSourceContainers

    public boolean canEditSourceContainers(ISourceLookupDirector director,
                                           ISourceContainer[] containers)

#### editSourceContainers

    public ISourceContainer[] editSourceContainers(Shell shell,
                                                   ISourceLookupDirector director,
                                                   ISourceContainer[] containers)